//
//  LottoGenerator.swift
//  Lotto
//
//  Created by Holger Hinzberg on 26.08.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

class LottoGenerator
{
    func generate(numbersCount:Int) -> [Int]
    {
        // Ein Dictionary mit einer ganzen Zahl
        // für den Wert und als Schlüssel
        var randomDict = Dictionary<Int, Int>()
        
        // Die Schleife läuft, solange die Anzahl der
        // Elemente im Dictionary kleiner als der Wert
        // des Parameters ist
        while (randomDict.count < numbersCount)
        {
            // Eine Zufallszahl erzeugen
            let number = Int(arc4random_uniform(49)+1)
            randomDict.updateValue(0, forKey: number)
        }

        var randomArray = [Int]()
        // Alle Keys im Dictionary durchlaufen
        for key in randomDict.keys
        {
            randomArray.append(key)
        }
        
        // Sortierte Kopie der Auflistung zurück geben
        return randomArray.sort( {$0 < $1})
    }
}